package com.danitheskunk.skunkstuff.Blocks;

import com.danitheskunk.skunkstuff.SkunkStuff;
import com.google.common.collect.ImmutableSet;
import com.mojang.datafixers.types.Type;
import net.minecraft.Util;
import net.minecraft.core.BlockPos;
import net.minecraft.core.Registry;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.util.datafix.fixes.References;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.entity.BlockEntityType;
import net.minecraft.world.level.block.state.BlockState;
import org.quiltmc.qsl.block.entity.api.QuiltBlockEntityTypeBuilder;

import java.util.Set;

public class BlockEntityTypes {
	public static final BlockEntityType<BlockEntityMailbox> MAILBOX =
		QuiltBlockEntityTypeBuilder.create(BlockEntityMailbox::new,
			SkunkStuff.MAILBOX_BLOCK).build();
	public static void register() {
		Registry.register(
			Registry.BLOCK_ENTITY_TYPE,
			new ResourceLocation(Blocks.namespace, "mailbox"),
			MAILBOX
		);
	}
}
