package com.danitheskunk.skunkstuff.Blocks;

import net.minecraft.core.Registry;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.inventory.AbstractContainerMenu;
import net.minecraft.world.inventory.MenuType;

public class Menus {
	public static final MenuType<MenuMailbox> MAILBOX = register("mailbox",
		MenuMailbox::new);

	private static <T extends AbstractContainerMenu> MenuType<T> register(String id, MenuType.MenuSupplier<T> factory) {
		return Registry.register(Registry.MENU,
			new ResourceLocation(Blocks.namespace, id),
			new MenuType(factory));
	}
	public static void init() {

	}
}
